function [l,d,u] = lu_facto(a,b,c)
%Factorisation LU d'une matrice tridiagonale
% inputs:
%    a       vecteur contenant la sous diagonale de A
%    b       vecteur contenant la diagonale de A
%    c       vecteur contenant la sur diagonale de A
% output:
%    l       la sous-diagonale de la matrice triangulaire inferieure
%    d       la      diagonale de la matrice triangulaire superieure
%    u       la  sur-diagonale de la matrice triangulaire superieure
%     NOTE:
%                 | b(1)  c(2)                                 |
%                 | a(1)  b(2)  c(3)                           |
%                 |       a(2)  b(3)  c(4)                     |
%                 | 		       .     .     .           |
%                 | 		         .     .    c(n)       |
%                 | 		            a(n-1)  b(n)       |
%
n = length (b);
d(1) = b(1);
for i = 2 : n
   l(i-1) = 0;
   u(i)   = 0;
   d(i)   = 0;
end
end
