function [x] = lu_solve(l,d,u,f)
%Résolution du système tridiagonale Ax = f  avec la factorisation LU 
% inputs:
%    l       la sous-diagonale de la matrice triangulaire inferieure
%    d       la      diagonale de la matrice triangulaire superieure
%    u       la  sur-diagonale de la matrice triangulaire superieure
% output:
%    x       solution du systeme Ax = f   

% Nombre d'inconnu
n = length(f);

% Resolution du systeme  triangulaire inférieure (étape de descente) Ly = f
y(1) = f(1);
for i = 2 : n
  y(i) = 0;
end

% Resolution du systeme  triangulaire supérieure (étape de montée) Ux = y
x(n) = y(n)/d(n);
for i = n-1:-1:1
    x(i) = 0;
end
end
