% clear all,clc
tic % départ du chrono
n = 10;                           % taille du système  
h = 1/n;                          % pas de subdivision 
x = 0:h:1;                        % maillage de [0,1]
y = x(2:n);                       % maillage de ]0,1[
a = -1*ones(1,n-1);               % sous-diagonale
b = 2*ones(1,n-1)+h^2*cc(y);      % diagonale
c = [0 a];                        % sur-diagonale (c.f. notation lu_facto, c(1) n'existe pas)
r = h^2*f(y);                     % second membre
[l,d,u]  = lu_facto(a,b,c);       % factorisation LU 
xx = lu_solve(l,d,u,r);           % Solution approchee
uapp = [0  xx  0];                % Solution approchee munies des conditions initiales
uex = u_ex(x);                    % Solution exacte

figure(1)
plot(x,uapp,x,uex) % trace de la fonction
legend(['Solution approchee avec n = ',num2str(n),' points'],'Solution exacte')
E = norm(uex-uapp,2) % norme l_2 de l'erreur
T = toc % fin du chrono

